intro = {}
intro.currentCharacter = "Musk"
intro.currentText = ""
intro.stage = 0
intro.alpha = 0
intro.state = "down"

portrait = {}
portrait["Musk"] = love.graphics.newImage("img/portrait/musk.png")
portrait["Trump"] = love.graphics.newImage("img/portrait/trump.png")
portrait["Martian"] = love.graphics.newImage("img/portrait/martian.png")

intro.script = {}
intro.script[1] = {character="Musk",text="Trump, I want into Mars!",sound=love.audio.newSource("sfx/1.mp3")}
intro.script[2] = {character="Trump",text="Mr Musk... may making a deal?",sound=love.audio.newSource("sfx/3.mp3")}
intro.script[3] = {character="Trump",text="US Government will funding of Space X if return Roadster on Earth! It must be landed within the time limit that I set.",sound=love.audio.newSource("sfx/4.mp3")}
intro.script[4] = {character="Musk",text="Gee whiz!! I accept...",sound=love.audio.newSource("sfx/2.mp3")}

intro.script[6] = {character="Trump",text="I am impressed, Mr Musk.",sound=love.audio.newSource("sfx/1.mp3")}
intro.script[7] = {character="Musk",text="Now I can into Mars?",sound=love.audio.newSource("sfx/1.mp3")}
intro.script[8] = {character="Trump",text="Ah! You have bested me! Indeed...",sound=love.audio.newSource("sfx/bested me.mp3")}
intro.script[9] = {character="Martian",text="Welcome, Elon Musk!",sound=love.audio.newSource("sfx/welcome.mp3")}
intro.script[10] = {character="Musk",text="Aw yiss",sound=love.audio.newSource("sfx/aw yiss.mp3")}

function drawIntro()
  love.graphics.setColor(255,255,255,intro.alpha)
  love.graphics.setFont(bFont)
  love.graphics.printf(intro.currentCharacter,0,20,800,"center")
  love.graphics.draw(portrait[intro.currentCharacter],272,172)
  love.graphics.setFont(font)
  love.graphics.printf(intro.currentText.."\n\nPress enter to continue...",0,460,800,"center")
end

function updateIntro(dt)
  if intro.state == "up" then
    intro.alpha = intro.alpha + 500*dt
    if intro.alpha > 254 then intro.alpha = 255 intro.state = "dialogue" love.audio.play(intro.script[intro.stage].sound) end
  elseif intro.state == "dialogue" then
    if love.keyboard.isDown("return") then
      intro.state = "down"
    end
  elseif intro.state == "down" then
    intro.alpha = intro.alpha - 400*dt
    if intro.alpha < 1 then
      intro.alpha = 1
      intro.stage = intro.stage + 1
      if intro.script[intro.stage] then
        intro.currentCharacter = intro.script[intro.stage].character
        intro.currentText = intro.script[intro.stage].text
        intro.state = "up"
      else
        if intro.stage == 5 then
          game_state = "game"
        else
          game_state = "win"
        end
      end
    end
  end
end
